<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.delay</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        Module&nbsp;delay
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module delay</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.delay-pysrc.html">source&nbsp;code</a></span></p>
<p>Delayed delivery mark (jabber:x:delay) handling.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.jabber.org/jeps/jep-0091.html" target="_top">JEP 91</a></li>
</ul>
</dd>
</dl>

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.delay.Delay-class.html" class="summary-name">Delay</a><br />
      Delayed delivery tag.
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">list</code> of <a href="pyxmpp.jabber.delay.Delay-class.html" class="link">Delay</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.delay-module.html#get_delays" class="summary-sig-name">get_delays</a>(<span class="summary-sig-arg">stanza</span>)</span><br />
      Get jabber:x:delay elements from the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.delay-pysrc.html#get_delays">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.delay.Delay-class.html" class="link">Delay</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.delay-module.html#get_delay" class="summary-sig-name">get_delay</a>(<span class="summary-sig-arg">stanza</span>)</span><br />
      Get the oldest jabber:x:delay elements from the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.delay-pysrc.html#get_delay">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DELAY_NS"></a><span class="summary-name">DELAY_NS</span> = <code title="'jabber:x:delay'"><code class="variable-quote">'</code><code class="variable-string">jabber:x:delay</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp.jabber'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp.jabber</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="libxml2">libxml2</span>,
  <span title="time">time</span>,
  <span title="datetime">datetime</span>,
  <a href="pyxmpp.jid.JID-class.html" title="pyxmpp.jid.JID">JID</a>,
  <a href="pyxmpp.utils-module.html#to_utf8" title="pyxmpp.utils.to_utf8">to_utf8</a>,
  <a href="pyxmpp.utils-module.html#from_utf8" title="pyxmpp.utils.from_utf8">from_utf8</a>,
  <a href="pyxmpp.xmlextra-module.html#get_node_ns_uri" title="pyxmpp.xmlextra.get_node_ns_uri">get_node_ns_uri</a>,
  <a href="pyxmpp.utils-module.html#datetime_utc_to_local" title="pyxmpp.utils.datetime_utc_to_local">datetime_utc_to_local</a>,
  <a href="pyxmpp.utils-module.html#datetime_local_to_utc" title="pyxmpp.utils.datetime_local_to_utc">datetime_local_to_utc</a>,
  <a href="pyxmpp.objects.StanzaPayloadObject-class.html" title="pyxmpp.objects.StanzaPayloadObject">StanzaPayloadObject</a>,
  <a href="pyxmpp.exceptions.BadRequestProtocolError-class.html" title="pyxmpp.exceptions.BadRequestProtocolError">BadRequestProtocolError</a>,
  <a href="pyxmpp.exceptions.JIDMalformedProtocolError-class.html" title="pyxmpp.exceptions.JIDMalformedProtocolError">JIDMalformedProtocolError</a>,
  <a href="pyxmpp.exceptions.JIDError-class.html" title="pyxmpp.exceptions.JIDError">JIDError</a>
</p><br />
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="get_delays"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_delays</span>(<span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.delay-pysrc.html#get_delays">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get jabber:x:delay elements from the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : a, probably delayed, stanza.</li>
    </ul></dd>
    <dt>Returns: <code class="link">list</code> of <a href="pyxmpp.jabber.delay.Delay-class.html" class="link">Delay</a></dt>
        <dd>list of delay tags sorted by the timestamp.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_delay"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_delay</span>(<span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.delay-pysrc.html#get_delay">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Get the oldest jabber:x:delay elements from the stanza.</p>
<p>The return value, if not <code class="link">None</code>, contains a quite reliable
timestamp of a delayed (e.g. from offline storage) message.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : a, probably delayed, stanza.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.delay.Delay-class.html" class="link">Delay</a></dt>
        <dd>the oldest delay tag of the stanza or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
